/*
 * $Id: RequestImpl.java,v 1.13 2011/08/10 21:59:32 pm-ribeiro Exp $
 *
 * Copyright (c) Critical Software S.A., All Rights Reserved.
 * (www.criticalsoftware.com)
 *
 * This software is the proprietary information of Critical Software S.A.
 * Use is subject to license terms.
 *
 * Last changed on : $Date: 2011/08/10 21:59:32 $
 * Last changed by : $Author: pm-ribeiro $
 */
package com.jorge.test.hello.webservices;

import javax.jws.WebService;
import javax.xml.ws.BindingType;

@WebService(endpointInterface = "com.jorge.test.hello.webservices.HelloWorld", serviceName = "hello")
@BindingType("http://www.w3.org/2003/05/soap/bindings/HTTP/")
public class HelloWorldImpl implements HelloWorld {

    public String sayHello(String user) {
        if ((user == null) || (user.length() == 0)) {
            return "hello world";
        }
        
        return "hello world " + user;
    }

}
