package com.jorge.test.hello.interceptors;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.cxf.interceptor.Fault;
import org.apache.cxf.message.Message;
import org.apache.cxf.phase.AbstractPhaseInterceptor;
import org.apache.cxf.phase.Phase;

public class BusInInterceptor extends AbstractPhaseInterceptor<Message> {
    
    private static final Log log = LogFactory.getLog(BusInInterceptor.class);

	public BusInInterceptor() {
		super(Phase.RECEIVE);
	}

    public void handleMessage(Message message) throws Fault {
        if (log.isInfoEnabled()) {
            log.info("received message");
        }
    }

}
